Attribute VB_Name = "Module1"

 Declare Function TCUSB48IO_Open Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByRef Adresse As String) As Long
 Declare Function TCUSB48IO_OpenN Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByRef Adresse As Long) As Long
 Declare Function TCUSB48IO_Refresh Lib "TCUSB48IO.DLL" (ByVal NModule As Long) As Long
 Declare Function TCUSB48IO_Input Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByRef Data As Long) As Long
 Declare Function TCUSB48IO_Output Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByVal Data As Integer) As Long
 
 Declare Function TCUSB48IO_BitInput Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByVal Entree As Long) As Long
 Declare Function TCUSB48IO_Counter Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByVal Entree As Long, ByRef Data As Byte) As Long
 
 Declare Function TCUSB48IO_BitReadBack Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByVal Sortie As Long) As Long
 
 Declare Sub TCUSB48IO_BitOutput Lib "TCUSB48IO.DLL" (ByVal NModule As Long, ByVal Data As Long, ByVal Etat As Long)
 
 Declare Sub TCUSB48IO_WdgRun Lib "TCUSB48IO.DLL" (ByVal NModule As Long)
 Declare Sub TCUSB48IO_WdgStop Lib "TCUSB48IO.DLL" (ByVal NModule As Long)
 Declare Sub TCUSB48IO_WdgRearm Lib "TCUSB48IO.DLL" (ByVal NModule As Long)
 
 Declare Sub TCUSB48IO_ResetPort Lib "TCUSB48IO.DLL" (ByVal NModule As Long)
 Declare Sub TCUSB48IO_CyclePort Lib "TCUSB48IO.DLL" (ByVal NModule As Long)
 Declare Function TCUSB48IO_Close Lib "TCUSB48IO.DLL" (ByVal NModule As Long) As Long
 Declare Function TCUSB48IO_Version Lib "TCUSB48IO.DLL" As Byte
 
 
 
 'code d'erreur genérés par ces fontions
'0 :    OK
'1 :    Numero de serie incorrect
'2 :    N° de module incorrect
'3 :    Pas de module TCUSB48IO détecté
'4 :    Module non initialisé
'5 :
'6 :
'7 :    erreur a la fermeture
